apiVersion: apps/v1
kind: Deployment
metadata:
  name: questcode-backend-user
  labels:
    app: questcode-backend-user
spec:
   replicas: 2
   selector:
     matchLabels:
       app: questcode-backend-user
   template:
     metadata:
       labels:
         app: questcode-backend-user
     spec:
       containers:
       - name: questcode-backend-user
         image: sandrocaetano/questcode-backend-user
         ports:
         - containerPort: 3020
         env: 
         - name: NODE_ENV
           valueFrom:
             configMapKeyRef:
               name: questcode
               key: NODE_ENV 
         - name: MONGO_URI
           valueFrom:
             secretKeyRef:
               name: questcode
               key: MONGO_URI
         - name: SECRET_OR_KEY
           valueFrom:
             secretKeyRef:
               name: questcode
               key: SECRET_OR_KEY
